%global momorel 1
%global src_name netcdf_handler

Summary:         NetCDF 3 data handler for the OPeNDAP Data server
Name:            dap-netcdf_handler
Version:         3.7.9
Release:         %{momorel}m%{?dist}
License:         LGPL
Group:           System Environment/Daemons 
Source0:	 http://www.opendap.org/pub/source/%{src_name}-%{version}.tar.gz
NoSOurce:	 0
URL:             http://www.opendap.org/

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   bes-devel >= 3.6.0
BuildRequires:   libdap-devel >= 3.8.0 
BuildRequires:   netcdf

%description
This is the netcdf data handler for our data server. It reads netcdf 3
files and returns DAP responses that are compatible with DAP2 and the
dap-server software.

%prep 
%setup -q -n netcdf_handler-%{version}

%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.so
rm $RPM_BUILD_ROOT%{_libdir}/bes/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/bes-nc-data.sh
%{_bindir}/dap_nc_handler
%{_libdir}/bes/libnc_module.so
%{_libdir}/libnc_handler.so.*
%{_datadir}/hyrax/data/nc
%doc COPYING COPYRIGHT NEWS README

%changelog
* Sun Jun 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.7.9-1m)
- update to 3.7.9

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.7.3-3m)
- rebuild against gcc43

* Sun Feb 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.7.3-2m)
- rebuild for new libdap

* Thu Jun  7 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.7.3-1m)
- import from Fedora

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.7.3-3
- rebuild for new libcurl soname (indirect dependency through libdap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.7.3-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus at free.fr> 3.7.3-1
- update to 3.7.3

* Wed Sep  6 2006 Patrice Dumas <pertusus at free.fr> 3.7.2-1
- update to 3.7.2

* Sat Jul 22 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-1
- update to 3.7.1

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-1
- new release
- remove upstreamed patch

* Mon Feb 20 2006 Patrice Dumas <pertusus at free.fr> - 3.5.2-2
- add a patch for netcdf detection in lib64

* Wed Feb  1 2006 Patrice Dumas <pertusus at free.fr> - 3.5.2-1
- re-add netcdf-devel

* Wed Nov 16 2005 James Gallagher <jgallagher@opendap.org> 3.5.1-1
- Removed netcdf-devel from BuildRequires. it does, unless you install 
- netcdf some other way.

* Thu Sep 21 2005 James Gallagher <jgallagher@opendap.org> 3.5.0-1
- initial release
